classification
Title: distutils's build_msi command ignores the data_files argument
Type: Stage: resolved
Components: Distutils Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: Mario.Vilas, eric.araujo, loewis, steve.dower, tarek
Priority: normal Keywords:

Created on 2012-04-08 17:49 by Mario.Vilas, last changed 2021-02-03 18:37 by steve.dower. This issue is now closed.

Messages (3)
msg157799 - (view) Author: Mario Vilas (Mario.Vilas) Date: 2012-04-08 17:49
When creating an MSI installer on Python 2.7 (Windows, both in 32 and 64 bits) the data_files argument of the setup function is completely ignored. This results in broken installations.
msg159779 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-05-02 06:33
Mario: would you like to work on a patch?
msg386443 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:37
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:37:40steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386443

resolution: out of date
stage: resolved
2012-05-02 06:33:09loewissetmessages: + msg159779
2012-04-13 17:54:35eric.araujosetnosy: + loewis
2012-04-08 17:49:18Mario.Vilascreate